﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using System.Windows;

namespace CodeIn.Modules.Graph.Modules.Ui.Flow.Engine {
	public class Sprite {
		public Vector A { get; set; }
		public Vector V { get; set; }
		public Point P { get; set; }

		public double Radius { get; set; }
		public IList<Sprite> Neighbors { get; set; }
		public bool IsDragged { get; set; }

		public Sprite() {
			Neighbors = new List<Sprite>();
			IsDragged = false;
		}

		public void UpdatePosition(double damping) {
			V += A;
			V *= damping;
			P += V;
		}
	}
}
