﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using System.Windows;

namespace CodeIn.Modules.Graph.Modules.Ui.Flow.View {
	public static class FlowResources {
		public static readonly Drawing NodeBaseDrawing;
		public static readonly Drawing LinkBaseDrawing;
		public static readonly double NodeRadius;

		static FlowResources() {
			ResourceDictionary res = new ResourceDictionary();
			res.Source = new Uri("pack://application:,,,/resources/modules/resources/graph.ui.flowview/Resources.xaml");

			NodeBaseDrawing = (Drawing)res["NodeBaseDrawing"];
			NodeBaseDrawing.Freeze();

			LinkBaseDrawing = (Drawing)res["LinkBaseDrawing"];
			LinkBaseDrawing.Freeze();

			NodeRadius = (double)res["NodeRadius"];
		}
	}
}
