﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CodeIn.Core.Modules {
	public class ModuleInfo {
		public string Name { get; private set; }
		public Type Type { get; private set; }
		public string Revision { get; private set; }
		public string Author { get; private set; }
		public string[] Commands { get; private set; }
		public string ShortDescription { get; private set; }
		public string LongDescription { get; private set; }

		public ModuleInfo(string name, Type t, string rev, string auth, string[] cmds, string sdesc, string ldesc) {
			Name = name;
			Type = t;
			Revision = rev;
			Author = auth;
			Commands = cmds;
			ShortDescription = sdesc;
			LongDescription = ldesc;
		}
	}
}
