﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Xml.Linq;
using System.Web;
using CodeIn.Ui;
using CodeIn.Core.Modules;

namespace CodeIn.Modules.Misc.WelcomeScreen {
	public class WelcomeScreen : BaseModule {
		protected override void InitializeOverride() {
		}

		protected override bool CanExecuteOverride(string[] args) {
			return true;
		}

		protected override void ExecuteOverride(string[] args) {
			WelcomeViewModel vm = new WelcomeViewModel();
			vm.RssFeedUrl = "http://codein.codeplex.com/Project/ProjectRss.aspx";
			vm.ReloadRssFeed();

			UiHelper.CreateAndShowPanel("Welcome", PanelSide.MIDDLE, () => {
				WelcomeView view = new WelcomeView();
				view.DataContext = vm;
				return view;
			});
		}
	}
}
