﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CodeIn.Ui {
	public class MainWindowViewModelSample : MainWindowViewModel {
		public MainWindowViewModelSample() {
			MiddleTabItems.Add(new Dock.PanelViewModel("Test 1", new ContentControl()));
			MiddleTabItems.Add(new Dock.PanelViewModel("Test 2", new ContentControl()));
			MiddleTabItems.Add(new Dock.PanelViewModel("Another test", new ContentControl()));
			MiddleTabItems.Add(new Dock.PanelViewModel("And yet again", new ContentControl()));

			BottomTabItems.Add(new Dock.PanelViewModel("Terminal", new Modules.Ui.Term.TermView()));
			BottomTabItems.Add(new Dock.PanelViewModel("Command list", new ContentControl()));

			TopLeftTabItems.Add(new Dock.PanelViewModel("Test 1", new ContentControl()));
			TopLeftTabItems.Add(new Dock.PanelViewModel("Test 2", new ContentControl()));
			TopLeftTabItems.Add(new Dock.PanelViewModel("Test 3", new ContentControl()));
			
			BottomLeftTabItems.Add(new Dock.PanelViewModel("Test 1", new ContentControl()));
			BottomLeftTabItems.Add(new Dock.PanelViewModel("Test 2", new ContentControl()));
			BottomLeftTabItems.Add(new Dock.PanelViewModel("Test 3", new ContentControl()));
		}
	}
}